# InjectionPointQualifier

@Retention(value = RetentionPolicy.RUNTIME)
@Target(value = [ElementType.ANNOTATION_TYPE])
@Documented
annotation class InjectionPointQualifier

The annotated annotation can be used to inject elements of the supported types.

If both supportedTypes and supportedProviderTypes are empty, all types are supported.

#### Since

5.3

## Functions

annotationType
Link copied to clipboard
abstract fun annotationType(): Class<out Annotation>
equals
Link copied to clipboard
abstract fun equals(p: Any): Boolean
hashCode
Link copied to clipboard
abstract fun hashCode(): Int
supportedProviderTypes
Link copied to clipboard
abstract fun supportedProviderTypes(): Array<Class<out Any>>
The types of org.gradle.api.provider.Providers supported for injection.
supportedTypes
Link copied to clipboard
abstract fun supportedTypes(): Array<Class<out Any>>
The types which are supported for injection.
toString
Link copied to clipboard
abstract fun toString(): String